# Settings ## Get the current settings for the active account `client.NetworkInterconnects.Settings.Get(ctx, query) (*SettingGetResponse, error)` **get** `/accounts/{account_id}/cni/settings` Get the current settings for the active account ### Parameters - `query SettingGetParams` - `AccountID param.Field[string]` Account tag to retrieve settings for ### Returns - `type SettingGetResponse struct{…}` - `DefaultASN int64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/network_interconnects" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) setting, err := client.NetworkInterconnects.Settings.Get(context.TODO(), network_interconnects.SettingGetParams{ AccountID: cloudflare.F("account_id"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", setting.DefaultASN) } ``` #### Response ```json { "default_asn": 0 } ``` ## Update the current settings for the active account `client.NetworkInterconnects.Settings.Update(ctx, params) (*SettingUpdateResponse, error)` **put** `/accounts/{account_id}/cni/settings` Update the current settings for the active account ### Parameters - `params SettingUpdateParams` - `AccountID param.Field[string]` Path param: Account tag to update settings for - `DefaultASN param.Field[int64]` Body param ### Returns - `type SettingUpdateResponse struct{…}` - `DefaultASN int64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/network_interconnects" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) setting, err := client.NetworkInterconnects.Settings.Update(context.TODO(), network_interconnects.SettingUpdateParams{ AccountID: cloudflare.F("account_id"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", setting.DefaultASN) } ``` #### Response ```json { "default_asn": 0 } ```